Advertisement

Next Issue requires Android 3.0 and above. If you have a device running Android 2.x, you will no longer be able to use your current Next Issue app to browse and purchase new magazines. If you want information about Next Issue's new version, available magazines and billing plans, please visit Next Issue.

Answers others found helpful

Comments

Be the first to comment!